const express = require("express");

const router = express.Router();

const cartRoute = require("./v3/cart.route");
const shippingRoute = require("./v3/shipping.route");
const checkoutRoute = require("./v3/checkout.route");
const suggestedVouchersRoute = require("./v3/suggested-voucher.route");
const orderFormRoute = require("./v3/order-form.route");
const searchRoute = require("./v3/search.route");
const buildcreditRoute = require("./v3/buildcredit.route");
const productRoute = require("./v3/product.route");
const productReviewsRoute = require("./v3/productReviews.route");

router.use("/cart", cartRoute);
router.use("/shipping", shippingRoute);
router.use("/checkout", checkoutRoute);
router.use("/suggested-vouchers", suggestedVouchersRoute);
router.use("/order-form", orderFormRoute);
router.use("/search", searchRoute);
router.use("/build-credit", buildcreditRoute);
router.use("/product", productRoute);
router.use("/product-reviews", productReviewsRoute);

module.exports = router;
